<?php

class Sistema {
    
    var $bd;
    
    function Sistema(){
        
        //Instancia de Base_Datos()
        $this->bd = new Base_Datos(DB,SERVER,USER,PASSWD,DB_PORT);
        
    }
    
    function Menu(){
	
	return $this->bd->ConsultaSQL("SELECT DISTINCT ".TABLA_SECCIONES.".* FROM ".TABLA_SECCIONES." INNER JOIN ".TABLA_NOTICIAS."
				      ON ".TABLA_SECCIONES.".id = ".TABLA_NOTICIAS.".seccion_id WHERE ".TABLA_NOTICIAS.".estado = 1
				      AND ".TABLA_NOTICIAS.".fecha_publicacion <= DATE_FORMAT(NOW(),'%Y/%m/%d')");
	
    }
    
    function Primer_Menu_Activo(){
	
	$id = $this->bd->enArray($this->bd->ConsultaSQL("SELECT ".TABLA_SECCIONES.".id FROM ".TABLA_SECCIONES." INNER JOIN ".TABLA_NOTICIAS."
				      ON ".TABLA_SECCIONES.".id = ".TABLA_NOTICIAS.".seccion_id WHERE ".TABLA_NOTICIAS.".estado = 1
				      AND ".TABLA_NOTICIAS.".fecha_publicacion <= DATE_FORMAT(NOW(),'%Y/%m/%d') LIMIT 1"));
	
	return $id[0];
	
    }
    
    function Noticias($sid = null){
	
	return $this->bd->ConsultaSQL("SELECT ".TABLA_NOTICIAS.".id, ".TABLA_NOTICIAS.".titulo, ".TABLA_NOTICIAS.".contenido,
				      DATE_FORMAT(".TABLA_NOTICIAS.".fecha_creacion,'%d/%m/%Y') AS fecha_creacion,
				      DATE_FORMAT(".TABLA_NOTICIAS.".fecha_edicion,'%d/%m/%Y') AS fecha_edicion,
				      ".TABLA_NOTICIAS.".estado, ".TABLA_SECCIONES.".titulo AS seccion,".TABLA_USUARIOS.".user AS autor
				      FROM (".TABLA_NOTICIAS." INNER JOIN ".TABLA_SECCIONES." ON
				      ".TABLA_NOTICIAS.".seccion_id = ".TABLA_SECCIONES.".id)
				      INNER JOIN ".TABLA_USUARIOS." ON ".TABLA_NOTICIAS.".usuario_id = ".TABLA_USUARIOS.".id 
				      WHERE seccion_id = '{$sid}' AND fecha_publicacion <= DATE_FORMAT(NOW(),'%Y/%m/%d')
				      AND estado = 1 ORDER BY id DESC");
	
    }

}

?>